com.sun.tdk.specdiff.html.dom

## Class ParentDependentTextNode

- java.lang.Object
- - org.outerj.daisy.diff.html.dom.Node
  - - org.outerj.daisy.diff.html.dom.TextNode
    - - com.sun.tdk.specdiff.html.dom.ParentDependentTextNode

- All Implemented Interfaces:
    java.lang.Cloneable
  Direct Known Subclasses:
    AssertionNode, ContextNode

      public abstract class ParentDependentTextNode
      extends org.outerj.daisy.diff.html.dom.TextNode

  Base class for AssertionNode and ContextNode !IMPORTANT! `this` TextNode and enclosing TagNode share AttributesImpl

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(java.lang.String name, java.lang.String value)`
    `java.lang.String` | `getAttribute(java.lang.String name)`
    `org.xml.sax.Attributes` | `getAttributes()`
    `org.outerj.daisy.diff.html.dom.TagNode` | `getEffectiveParent()`
    `boolean` | `isOpen()`
    `void` | `removeAttribute(java.lang.String name)`
    `void` | `setAttribute(java.lang.String name, java.lang.String value)`

    - ### Methods inherited from class org.outerj.daisy.diff.html.dom.TextNode

      `copyTree, getLeftMostChild, getMinimalDeletedSet, getModification, getNormalizedString, getRightMostChild, getText, isSameText, setModification, setText, toString, toString2`

    - ### Methods inherited from class org.outerj.daisy.diff.html.dom.Node

      `detectIgnorableWhiteSpace, equals, getEffectiveIndex, getEffectiveParentTree, getLastCommonParent, getParent, getParentTree, inPre, isWhiteAfter, isWhiteBefore, setParent, setWhiteAfter, setWhiteBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### isOpen

          public final boolean isOpen()

    - #### getEffectiveParent

          public final org.outerj.daisy.diff.html.dom.TagNode getEffectiveParent()

      Overrides:
        `getEffectiveParent` in class `org.outerj.daisy.diff.html.dom.Node`

    - #### getAttributes

          public final org.xml.sax.Attributes getAttributes()

    - #### removeAttribute

          public final void removeAttribute(java.lang.String name)

    - #### addAttribute

          public final void addAttribute(java.lang.String name,
                                         java.lang.String value)

    - #### setAttribute

          public final void setAttribute(java.lang.String name,
                                         java.lang.String value)

    - #### getAttribute

          public final java.lang.String getAttribute(java.lang.String name)